## letodms 3.0.0

=== Makefile ===
VERSION=3.0.0
SRC=CHANGELOG* inc conf index.php languages op out README reset_db.sql create_tables.sql create_tables-innodb.sql drop-tables-innodb.sql delete_all_contents.sql styles TODO UPDATE-* LICENSE Makefile

dist:
	mkdir -p tmp/letoDMS-$(VERSION)
	cp -a $(SRC) tmp/letoDMS-$(VERSION)
	(cd tmp; tar --exclude=.svn -czvf ../LetoDMS-$(VERSION).tar.gz letoDMS-$(VERSION))
	rm -rf tmp

pear:
	(cd LetoDMS_Core/; pear package)

webdav:
	mkdir -p tmp/letoDMS-webdav-$(VERSION)
	cp webdav/* tmp/letoDMS-webdav-$(VERSION)
	(cd tmp; tar --exclude=.svn -czvf ../LetoDMS-webdav-$(VERSION).tar.gz letoDMS-webdav-$(VERSION))
	rm -rf tmp

doc:
	phpdoc -d LetoDMS_Core -t html

.PHONY: webdav

=== debian/changelog ===
letodms (3.0.0-2) unstable; urgency=low

  * Added build-arch build-indep targets to debian/rules, according
    to Debian policy.
  * Improved long description in debian/control file (Closes: #631570)
  * Completed config documentation in debian/README.Debian.
  * Added debian/watch file. 

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 13 Aug 2011 17:27:18 +0200

letodms (3.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #626179)

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 5 May 2011 19:31:02 +0100

=== debian/control ===
Source: letodms
Section: web
Priority: optional
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.2
Homepage: http://www.letodms.com/

Package: letodms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, mysql-server, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core
Recommends: mysql-client
Description: open source document management system based on PHP and MySQL
 LetoDMS combines all these features with a nice-looking web interface 
 which makes it possible to access your documents not only via intranet 
 in your office but worldwide via the internet.
 .
 In detail LetoDMS offers you these features:
  * Upload files through web interface
  * Create folders to group your documents
  * Edit document and folder properties online
  * Detailed information on uploaded documents
  * Lock and unlock documents
  * Update documents - old versions are saved
  * Individual Icons for different Mime types
  * Set expiration date for documents
  * Users are notified about new, updated or expired documents via email
  * Download documents or view them online within your Browser
  * Control access via detailed ACLs (access control lists)
  * User and Group Management
  * Powerful search engine
  * Multi language support
  * Template System
  * User can choose language and theme on login
  * Intuitive User interface
  * Should work with every Browser
  * Automatic conversion of various document formats to HTML for online viewing
  * Support multiples instances.

=== debian/rules ===
#!/usr/bin/make -f


build:  build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 


install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	dh_install index.php /usr/share/letodms
	dh_install conf /usr/share/letodms
	dh_install inc /usr/share/letodms
	dh_install languages /usr/share/letodms
	dh_install op /usr/share/letodms
	dh_install out /usr/share/letodms
	dh_install styles /usr/share/letodms
	dh_install debian/letodms.conf /etc/letodms/
	dh_install UPDATE-v1.8.1 /usr/share/letodms
	dh_install UPDATE-v1.9 /usr/share/letodms
	dh_install UPDATE-v2.0.1 /usr/share/letodms
	dh_install UPDATE-v3.0.0 /usr/share/letodms

	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
	install -o root -g root -m 0644 conf/conf.Settings.php.template debian/letodms/etc/letodms/conf.Settings.php

	install -o root -g root -m 0644 debian/letodms.apache2 \
	debian/letodms/etc/apache2/sites-available/letodms

	install -o root -g root -m 0644 create_tables.sql \
	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql

	install -m 644 debian/logo_letodms_32x32.xpm \
	debian/letodms/usr/share/pixmaps/

	install -m 0644 debian/letodms.desktop \
	debian/letodms/usr/share/applications/


# Build architecture-dependent files here.
binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installmenu
	dh_installman debian/letodms.1
	dh_installexamples
	dh_install
	dh_installdebconf
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/mydms/LetoDMS-([3-9].+)\.tar\.gz

## letodms 3.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION=3.0.0
-SRC=CHANGELOG* inc conf index.php languages op out README reset_db.sql create_tables.sql create_tables-innodb.sql drop-tables-innodb.sql delete_all_contents.sql styles TODO UPDATE-* LICENSE Makefile
+VERSION=3.2.0
+SRC=CHANGELOG* inc conf utils index.php languages op out README reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO UPDATE-* LICENSE Makefile webdav install
 
 dist:
 	mkdir -p tmp/letoDMS-$(VERSION)
@@ -9,6 +9,7 @@
 
 pear:
 	(cd LetoDMS_Core/; pear package)
+	(cd LetoDMS_Lucene/; pear package)
 
 webdav:
 	mkdir -p tmp/letoDMS-webdav-$(VERSION)

=== debian/changelog ===
letodms (3.2.0+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Changed default mysql database type from MyISAM to InnoDB.
  * Added a patch to update the spanish translation. (Sent to upstream too).
  * Added a patch to fix a problem in create_table.sql file. In tblCategory
    table.
  * Added patches to disable 'large file upload' feature.
  * Improved packages dependecies in debian/control file:
     + Package mysql-client in Suggests field, instead Recommends.
     + Added dependencies to php-letodms-lucene and libjs-jquery packages.
  * Improved long description control field (Closes: #639382).
  * Updated debian/README.Debian file according to new upstream config changes.
  * Fixed debian/watch. Updated to new re-packaged source tarball.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Fri, 16 Sep 2011 19:47:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 Package: letodms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, mysql-server, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core
-Recommends: mysql-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, mysql-server, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.2.0-1), libjs-jquery, php-letodms-lucene
+Suggests: mysql-client
 Description: open source document management system based on PHP and MySQL
  LetoDMS combines all these features with a nice-looking web interface 
  which makes it possible to access your documents not only via intranet 
@@ -22,10 +22,10 @@
   * Detailed information on uploaded documents
   * Lock and unlock documents
   * Update documents - old versions are saved
-  * Individual Icons for different Mime types
+  * Individual icons for different MIME types
   * Set expiration date for documents
   * Users are notified about new, updated or expired documents via email
-  * Download documents or view them online within your Browser
+  * Download documents or view them online within your browser
   * Control access via detailed ACLs (access control lists)
   * User and Group Management
   * Powerful search engine

=== debian/rules ===
--- 
+++ 
@@ -29,20 +29,27 @@
 	dh_install op /usr/share/letodms
 	dh_install out /usr/share/letodms
 	dh_install styles /usr/share/letodms
+	dh_install utils /usr/share/letodms
 	dh_install debian/letodms.conf /etc/letodms/
 	dh_install UPDATE-v1.8.1 /usr/share/letodms
 	dh_install UPDATE-v1.9 /usr/share/letodms
 	dh_install UPDATE-v2.0.1 /usr/share/letodms
 	dh_install UPDATE-v3.0.0 /usr/share/letodms
+	dh_install UPDATE-v3.1.0 /usr/share/letodms
 
 	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
-	install -o root -g root -m 0644 conf/conf.Settings.php.template debian/letodms/etc/letodms/conf.Settings.php
+	install -o root -g root -m 0644 conf/stopwords.txt debian/letodms/etc/letodms/stopwords.txt
+	# Settings template is needed for dbconfig-common
+	install -o root -g root -m 0644 conf/settings.xml.template debian/letodms/usr/share/letodms/conf/settings.xml.template
 
 	install -o root -g root -m 0644 debian/letodms.apache2 \
 	debian/letodms/etc/apache2/sites-available/letodms
 
-	install -o root -g root -m 0644 create_tables.sql \
+	install -o root -g root -m 0644 install/create_tables-innodb.sql \
 	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql
+
+	install -D -o root -g root -m 0644 UPDATE-v3.1.0/update.sql \
+	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.2.0-1
 
 	install -m 644 debian/logo_letodms_32x32.xpm \
 	debian/letodms/usr/share/pixmaps/

## letodms 3.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.2.0
+VERSION=3.2.1
 SRC=CHANGELOG* inc conf utils index.php languages op out README reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO UPDATE-* LICENSE Makefile webdav install
 
 dist:

=== debian/changelog ===
letodms (3.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Reviewed description control fields (Closes: #650294).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 01 Dec 2011 12:16:09 +0100

letodms (3.2.0+dfsg-2) unstable; urgency=low

  * Added a missing dependency to php-log. Thanks to Sarantis Paskalis
    (Closes: #650167)
  * Improved long description syntax. Thanks to Filipus Klutiero
    (Closes: #648911).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sun, 27 Nov 2011 20:20:36 +0100

=== debian/control ===
Source: letodms
Section: web
Priority: optional
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.2
Homepage: http://www.letodms.com/

Package: letodms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, mysql-server, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.2.0-1), libjs-jquery, php-letodms-lucene, php-log
Suggests: mysql-client
Description: document management system based on PHP and MySQL
 LetoDMS combines all these features with a nice-looking web interface 
 which makes it possible to access your documents not only via intranet 
 in your office but worldwide via the Internet.
 .
 In detail LetoDMS offers you these features:
  * Upload files through web interface
  * Create folders to group your documents
  * Edit document and folder properties online
  * Detailed information on uploaded documents
  * Lock and unlock documents
  * Update documents - old versions are saved
  * Individual icons for different MIME types
  * Set expiration date for documents
  * Users are notified about new, updated or expired documents via email
  * Download documents or view them online within your browser
  * Control access via detailed ACLs (access control lists)
  * User and Group management
  * Powerful search engine
  * Multi language support
  * Template system
  * User can choose language and theme on login
  * Intuitive user interface
  * Should work with every browser
  * Automatic conversion of various document formats to HTML for online viewing
  * Supports multiple instances.

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	dh_install UPDATE-v2.0.1 /usr/share/letodms
 	dh_install UPDATE-v3.0.0 /usr/share/letodms
 	dh_install UPDATE-v3.1.0 /usr/share/letodms
+	dh_install UPDATE-v3.2.0 /usr/share/letodms
 
 	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
 	install -o root -g root -m 0644 conf/stopwords.txt debian/letodms/etc/letodms/stopwords.txt
@@ -48,8 +49,8 @@
 	install -o root -g root -m 0644 install/create_tables-innodb.sql \
 	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql
 
-	install -D -o root -g root -m 0644 UPDATE-v3.1.0/update.sql \
-	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.2.0-1
+	install -D -o root -g root -m 0644 UPDATE-v3.2.0/update.sql \
+	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.2.1+dfsg-1
 
 	install -m 644 debian/logo_letodms_32x32.xpm \
 	debian/letodms/usr/share/pixmaps/

## letodms 3.2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.2.1
+VERSION=3.2.2
 SRC=CHANGELOG* inc conf utils index.php languages op out README reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO UPDATE-* LICENSE Makefile webdav install
 
 dist:

=== debian/changelog ===
letodms (3.2.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Changed mysql-server dependency to recommends (Closes: #653388).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Tue, 10 Jan 2012 22:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 Package: letodms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, mysql-server, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.2.0-1), libjs-jquery, php-letodms-lucene, php-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.2.0-1), libjs-jquery, php-letodms-lucene, php-log
+Recommends: mysql-server
 Suggests: mysql-client
 Description: document management system based on PHP and MySQL
  LetoDMS combines all these features with a nice-looking web interface

## letodms 3.3.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION=3.2.2
-SRC=CHANGELOG* inc conf utils index.php languages op out README reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO UPDATE-* LICENSE Makefile webdav install
+VERSION=3.3.4
+SRC=CHANGELOG* inc conf utils index.php languages op out README README.Notification reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO LICENSE Makefile webdav install
 
 dist:
 	mkdir -p tmp/letoDMS-$(VERSION)

=== debian/changelog ===
letodms (3.3.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Updated to debian policy 3.9.3.
  * Changed dependence from libapache2-mod-php5 to php5 (Closes: #667633).
  * Updated download url in copyright file (Closes: #667479).
  * Fixed reference to config file (settings.xml) in README.debian.
    (Closes: #666398).
  * Added two new patchs:
     + To set maxDirID var to 0, nonlimit value. Read NEWS.Debian.gz for
       more info.
     + To enable Password Forgotten feature by default.
     + To remove a SVN unneeded temporal file.
  * Removed unneeded conf.Settings.template file.
  * Added apache redirection directive to debian/letodms.apache2 file to avoid
    download the settings file.
  * Updated debian/rules with update dirs path.
  * Added debian/letodms.docs file.
  * Updated debian/copyright.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 22 Apr 2012 21:53:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
 Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.letodms.com/
 
 Package: letodms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, libapache2-mod-php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.2.0-1), libjs-jquery, php-letodms-lucene, php-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.3.0-1), libjs-jquery, php-letodms-lucene, php-log
 Recommends: mysql-server
 Suggests: mysql-client
 Description: document management system based on PHP and MySQL

=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,14 @@
 	dh_install styles /usr/share/letodms
 	dh_install utils /usr/share/letodms
 	dh_install debian/letodms.conf /etc/letodms/
-	dh_install UPDATE-v1.8.1 /usr/share/letodms
-	dh_install UPDATE-v1.9 /usr/share/letodms
-	dh_install UPDATE-v2.0.1 /usr/share/letodms
-	dh_install UPDATE-v3.0.0 /usr/share/letodms
-	dh_install UPDATE-v3.1.0 /usr/share/letodms
-	dh_install UPDATE-v3.2.0 /usr/share/letodms
+	install -o root -g root -m 0755 -d install debian/letodms/usr/share/letodms/install
+	dh_install install/update-1.8.1 /usr/share/letodms/install
+	dh_install install/update-1.9.0 /usr/share/letodms/install
+	dh_install install/update-2.0.1 /usr/share/letodms/install
+	dh_install install/update-3.0.0 /usr/share/letodms/install
+	dh_install install/update-3.1.0 /usr/share/letodms/install
+	dh_install install/update-3.2.0 /usr/share/letodms/install
+	dh_install install/update-3.3.0 /usr/share/letodms/install
 
 	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
 	install -o root -g root -m 0644 conf/stopwords.txt debian/letodms/etc/letodms/stopwords.txt
@@ -49,8 +51,8 @@
 	install -o root -g root -m 0644 install/create_tables-innodb.sql \
 	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql
 
-	install -D -o root -g root -m 0644 UPDATE-v3.2.0/update.sql \
-	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.2.1+dfsg-1
+	install -D -o root -g root -m 0644 install/update-3.3.0/update.sql \
+	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.3.4+dfsg-1
 
 	install -m 644 debian/logo_letodms_32x32.xpm \
 	debian/letodms/usr/share/pixmaps/

## letodms 3.3.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.3.4
+VERSION=3.3.9
 SRC=CHANGELOG* inc conf utils index.php languages op out README README.Notification reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO LICENSE Makefile webdav install
 
 dist:
@@ -18,6 +18,6 @@
 	rm -rf tmp
 
 doc:
-	phpdoc -d LetoDMS_Core -t html
+	phpdoc -d LetoDMS_Core --ignore 'getusers.php,getfoldertree.php,config.php,reverselookup.php' -t html
 
 .PHONY: webdav

=== debian/changelog ===
letodms (3.3.9+dfsg-1) unstable; urgency=low

  * New upstream release (More security fixes for preventing CSRF, XSS and sql
    injection attacks).
  * Removed unneeded Debian patch (fix_spanish_translation). Fixed in upstream.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 17 Sep 2012 11:29:35 +0200

letodms (3.3.7+dfsg-1) unstable; urgency=low

  * New upstream release. Fixed some security issues.
  * Removed unneeded Debian patch (fix_new_user_form). Fixed in upstream.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 27 Aug 2012 12:27:04 +0200

letodms (3.3.6+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Removed unneeded patches:
     + reset-maxDirID.diff, this change is applied by upstream now.
     + remove_svn_tmp_file, svn-commit.tmp removed from upstream.
  * Added patch fix_spanish_translation, to fix a minor typo.
  * Added patch fix_new_user_form, to change the mandatory fields in
    "Add new User" form. According to upstream CHANGELOG.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Tue, 17 Jul 2012 18:05:58 +0200

## letodms 3.3.11%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: letodms
 Section: web
 Priority: optional
-Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
 Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.letodms.com/
 
 Package: letodms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.3.0-1), libjs-jquery, php-letodms-lucene, php-log
-Recommends: mysql-server
-Suggests: mysql-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, php-mysql, php, php-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.3.0-1), libjs-jquery, php-letodms-lucene, php-log
+Recommends: apache2 | httpd, mysql-server | mariadb-server, letodms-webdav
+Suggests: mysql-client | mariadb-client
 Description: document management system based on PHP and MySQL
  LetoDMS combines all these features with a nice-looking web interface 
  which makes it possible to access your documents not only via intranet 
@@ -37,3 +38,12 @@
   * Should work with every browser
   * Automatic conversion of various document formats to HTML for online viewing
   * Supports multiple instances. 
+
+Package: letodms-webdav
+Architecture: all
+Depends: ${misc:Depends}, letodms, php-http-webdav-server
+Description: document management system based on PHP and MySQL - WebDAV server
+ LetoDMS-Webdav provides access to documents and directories stored in LetoDMS
+ Document Management System using WebDAV protocol. 
+ This package allows to add, edit and remove documents with a file-manager or
+ other WebDAV client tools.

## letodms 3.3.11+dfsg

=== debian/changelog ===
letodms (3.3.11+dfsg-2) unstable; urgency=low

  * Added patch with French translation (french_translation), thanks to
    Olivier Berger. Reported to upstream. (Closes: #709211, #709205)
  * Added README and README.Notificacion to binary Debian package docs.
    Thanks to Olivier Berger for the report. (Closes: #709191)
  * Updated to debian policy 3.9.4.
  * Fixed letodms icon path in debian/letodms.menu file.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 23 May 2013 09:40:11 +0200

letodms (3.3.11+dfsg-1) unstable; urgency=low

  * New upstream release (Fixed problem in categories with an empty name, other
    minor fixes).
  * Added debian/source/local-options file to unapply quilt debian patches. 

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Fri, 30 Nov 2012 13:17:37 +0100

=== debian/control ===
Source: letodms
Section: web
Priority: optional
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.4
Homepage: http://www.letodms.com/

Package: letodms
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.3.0-1), libjs-jquery, php-letodms-lucene, php-log
Recommends: mysql-server
Suggests: mysql-client
Description: document management system based on PHP and MySQL
 LetoDMS combines all these features with a nice-looking web interface 
 which makes it possible to access your documents not only via intranet 
 in your office but worldwide via the Internet.
 .
 In detail LetoDMS offers you these features:
  * Upload files through web interface
  * Create folders to group your documents
  * Edit document and folder properties online
  * Detailed information on uploaded documents
  * Lock and unlock documents
  * Update documents - old versions are saved
  * Individual icons for different MIME types
  * Set expiration date for documents
  * Users are notified about new, updated or expired documents via email
  * Download documents or view them online within your browser
  * Control access via detailed ACLs (access control lists)
  * User and Group management
  * Powerful search engine
  * Multi language support
  * Template system
  * User can choose language and theme on login
  * Intuitive user interface
  * Should work with every browser
  * Automatic conversion of various document formats to HTML for online viewing
  * Supports multiple instances.

## letodms 3.3.11+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=3.3.9
+VERSION=3.3.11
 SRC=CHANGELOG* inc conf utils index.php languages op out README README.Notification reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO LICENSE Makefile webdav install
 
 dist:

=== debian/changelog ===
letodms (3.3.11+dfsg.1-2ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 23 Mar 2016 17:27:30 -0700

letodms (3.3.11+dfsg.1-2) unstable; urgency=low

  * Added letodms-webdav binary package for WebDAV support. (Closes: #753124)
  * Added recommends dependency in letodms for letodms-webdav.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 17 Sep 2014 16:58:35 +0200

letodms (3.3.11+dfsg.1-1) unstable; urgency=low

  * Added MariaDB as alternative to dependences list. (Closes: #732867)
  * Removed js/jquery.min.js from Debian source package. It is a sourceless
    file. Created new +dfsg.1 source Debian package, (Closes: #736740)
  * Added patch to upate Russian translation. Thanks to Sergey Alyoshin
    for the patch. (Closes: #720993)
  * Added patchs to fix some messages in English translation and php script.
    Thanks to Sergey Alyoshin for the patch (Closes: #720992)
  * Updated README.Debian file.
  * Updated to debian policy 3.9.5.
  * Updated copyright file, repackaged upstream source description.
  * Updated for transition to apache 2.4. (Closes: #669826)
    + Updated depends and recommends to apache2 in debian/control
      (Closes: #718759)
    + Renamed apache2 config file to letodms.conf
    + Renamed old apache.conf (for localhost url) to apache.local.conf
    + Removed debian/letodms.links file.
    + Changed debian/letodms-postinst. Use apache2-maintscript-helper to enable
      letodms site.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Tue, 04 Mar 2014 11:16:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_install out /usr/share/letodms
 	dh_install styles /usr/share/letodms
 	dh_install utils /usr/share/letodms
-	dh_install debian/letodms.conf /etc/letodms/
+	dh_install debian/letodms.local.conf /etc/letodms/
 	install -o root -g root -m 0755 -d install debian/letodms/usr/share/letodms/install
 	dh_install install/update-1.8.1 /usr/share/letodms/install
 	dh_install install/update-1.9.0 /usr/share/letodms/install
@@ -39,14 +39,15 @@
 	dh_install install/update-3.1.0 /usr/share/letodms/install
 	dh_install install/update-3.2.0 /usr/share/letodms/install
 	dh_install install/update-3.3.0 /usr/share/letodms/install
+	dh_install debian/letodms.conf /etc/apache2/conf-available/
 
 	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
 	install -o root -g root -m 0644 conf/stopwords.txt debian/letodms/etc/letodms/stopwords.txt
 	# Settings template is needed for dbconfig-common
 	install -o root -g root -m 0644 conf/settings.xml.template debian/letodms/usr/share/letodms/conf/settings.xml.template
 
-	install -o root -g root -m 0644 debian/letodms.apache2 \
-	debian/letodms/etc/apache2/sites-available/letodms
+	#install -o root -g root -m 0644 debian/letodms.apache2 \
+	#debian/letodms/etc/apache2/sites-available/letodms
 
 	install -o root -g root -m 0644 install/create_tables-innodb.sql \
 	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql
@@ -60,6 +61,8 @@
 	install -m 0644 debian/letodms.desktop \
 	debian/letodms/usr/share/applications/
 
+	install -D -o root -g root -m 644 webdav/index.php debian/letodms-webdav/usr/share/letodms/webdav/index.php
+	install -D -o root -g root -m 644 webdav/letodms_webdav.php debian/letodms-webdav/usr/share/letodms/webdav/letodms_webdav.php
 
 # Build architecture-dependent files here.
 binary-arch: build install

=== debian/watch ===
version=2
opts=dversionmangle=s/\+dfsg// \
http://sf.net/mydms/LetoDMS-([\d\.]+)\.tar\.gz

## letodms 3.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION=3.3.11
-SRC=CHANGELOG* inc conf utils index.php languages op out README README.Notification reset_db.sql drop-tables-innodb.sql delete_all_contents.sql styles js TODO LICENSE Makefile webdav install
+VERSION=3.4.2
+SRC=CHANGELOG* inc conf utils index.php languages op out README README.Notification drop-tables-innodb.sql delete_all_contents.sql styles js TODO LICENSE Makefile webdav install
 
 dist:
 	mkdir -p tmp/letoDMS-$(VERSION)

=== debian/changelog ===
letodms (3.4.2+dfsg-3) unstable; urgency=low

  * Updated mysql dependencies to default-mysql-* (Closes: #848473).
  * Updated debhelper compatibility version to 9

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Fri, 23 Dec 2016 20:24:15 +0100

letodms (3.4.2+dfsg-2) unstable; urgency=medium

  * Updated Apache2 config file. Removed Apache2.2 old directives to clean
    lintian warning.
  * Removed letodms.menu file. Now use only .desktop file.
  * Added keywords to letodms.desktop file.
  * Removed dependencies on php5 (in 3.4.2+dfsg-1), now depends on php.
    According to PHP 7.0 Transition (Closes: #821511).
  * Fixed typo in Readme.DEBIAN

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Fri, 06 May 2016 16:52:21 +0200

letodms (3.4.2+dfsg-1) unstable; urgency=high

  * Updated to debian policy 3.9.8
  * Updated dependencies ph5 to php.
  * Updated control fields Homepage.
  * Updated debian/rules for upgrade to database with version 3.4.2
  * Fixed typo in NEWS.Debian and README.Debian
  * Updated letodms.examples, letodms.docs, letodms.postinst
  * Removed Debian patches french_translation, missed_en_message_and_typos

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 28 Apr 2016 17:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: web
 Priority: optional
 Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
-Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.4
-Homepage: http://www.letodms.com/
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/projects/mydms/
 
 Package: letodms
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2, php5-mysql, php5, php5-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.3.0-1), libjs-jquery, php-letodms-lucene, php-log
-Recommends: mysql-server
-Suggests: mysql-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, php-mysql, php, php-gd, libphp-adodb (>= 4.64-4), debconf | debconf-2.0, dbconfig-common (>= 1.8.4), php-letodms-core (>=3.4.2-1), libjs-jquery, php-letodms-lucene, php-log
+Recommends: apache2 | httpd, default-mysql-server | virtual-mysql-server, letodms-webdav
+Suggests: default-mysql-client | virtual-mysql-client
 Description: document management system based on PHP and MySQL
  LetoDMS combines all these features with a nice-looking web interface 
  which makes it possible to access your documents not only via intranet 
@@ -37,3 +37,12 @@
   * Should work with every browser
   * Automatic conversion of various document formats to HTML for online viewing
   * Supports multiple instances. 
+
+Package: letodms-webdav
+Architecture: all
+Depends: ${misc:Depends}, letodms, php-http-webdav-server
+Description: document management system based on PHP and MySQL - WebDAV server
+ LetoDMS-Webdav provides access to documents and directories stored in LetoDMS
+ Document Management System using WebDAV protocol. 
+ This package allows to add, edit and remove documents with a file-manager or
+ other WebDAV client tools.

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	dh_install install/update-3.1.0 /usr/share/letodms/install
 	dh_install install/update-3.2.0 /usr/share/letodms/install
 	dh_install install/update-3.3.0 /usr/share/letodms/install
+	dh_install install/update-3.4.0 /usr/share/letodms/install
 	dh_install debian/letodms.conf /etc/apache2/conf-available/
 
 	install -o root -g root -m 0755 debian/letodms.sh debian/letodms/usr/bin/letodms
@@ -52,8 +53,8 @@
 	install -o root -g root -m 0644 install/create_tables-innodb.sql \
 	debian/letodms/usr/share/dbconfig-common/data/letodms/install/mysql
 
-	install -D -o root -g root -m 0644 install/update-3.3.0/update.sql \
-	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.3.4+dfsg-1
+	install -D -o root -g root -m 0644 install/update-3.4.0/update.sql \
+	debian/letodms/usr/share/dbconfig-common/data/letodms/upgrade/mysql/3.4.2+dfsg-1
 
 	install -m 644 debian/logo_letodms_32x32.xpm \
 	debian/letodms/usr/share/pixmaps/
